<?php
/*-----------------------------------------------------------------------------------

	Plugin Name: Gallery Widget
	Version: 1.0
	
-----------------------------------------------------------------------------------*/
class mts_gallery_widget extends WP_Widget {

	public function __construct() {
		
		parent::__construct(
	 		'mts_gallery_widget',
			__('MyThemeShop: Gallery Widget','mythemeshop'),
			array( 'description' => __( 'Displays the latest gallery items from the gallery.','mythemeshop' ) )
		);
	}

	public function form($instance) {
		$defaults = array(
			'title' => __( 'Gallery','mythemeshop' ),
			'qty' => 9,
		);
		$instance = wp_parse_args((array) $instance, $defaults);
		$qty = isset( $instance[ 'qty' ] ) ? intval( $instance[ 'qty' ] ) : 5;
		extract($instance);
		?>
		<p>
			<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Title','mythemeshop'); ?></label>
			<input 
			type="text" 
			id="<?php echo $this->get_field_id('title'); ?>" 
			name="<?php echo $this->get_field_name('title'); ?>" 
			value="<?php if(isset($title)) echo $title;  ?>"
			class="widefat">
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'qty' ); ?>"><?php _e( 'Number of Gallery Items','mythemeshop' ); ?></label> 
			<input id="<?php echo $this->get_field_id( 'qty' ); ?>" name="<?php echo $this->get_field_name( 'qty' ); ?>" type="number" min="1" step="1" value="<?php echo $qty; ?>" />
		</p>
		<?php

		
	}

	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance['title'] = strip_tags( $new_instance['title'] );
		$instance['qty'] = intval( $new_instance['qty'] );
		return $instance;
	}

	public function widget($args, $instance) {
		extract($args);
		$title = apply_filters( 'widget_title', $instance['title'] );
		$qty = (int) $instance['qty'];
		extract($instance); //$title
		
	             echo $before_widget;                
				?>
				<div class="gallery-widget">
					<div class="title-div"><?php if ( ! empty( $title ) ) echo $before_title . $title . $after_title; ?><a  class="gallery-link" href="<?php echo  home_url().'/?post_type=gallery'; ?>"><?php _e( 'All Photos', 'mythemeshop' ); ?></a> </div>
					<ul class="gallery-widget-img-list">
				<?php
				$gallery_query = new WP_Query();
		                $gallery_query->query('post_type=gallery&ignore_sticky_posts=1&order=ASC&posts_per_page='.$qty);
						
						$j = 0; while ($gallery_query->have_posts()) : $gallery_query->the_post();
		                $terms = get_the_terms( get_the_ID(), 'gallery_category');
		                if (has_post_thumbnail()) {
							$thumb = wp_get_attachment_image_src( get_post_thumbnail_id(get_the_ID()),'widgetthumb');							
		                } else {
		                    $thumb = array(get_template_directory_uri().'/images/nothumb-widgetthumb.png');
		                }
				
	            ?>

				<li class="gallery-widget-img <?php echo (++$j % 3 == 0) ? 'last' : ''; ?>">					
					<a href="<?php the_permalink(); ?>">
						<?php // echo $thumb; ?>
						<img src="<?php echo $thumb[0]; ?>" width="84" height="84" alt="<?php the_title(); ?>"/>
					</a>
				</li>
			
				<?php endwhile; //wp_reset_query();?>
				</ul>
                </div>
            <?php  //endwhile;
            echo $after_widget; 
	}
}


add_action( 'widgets_init', create_function( '', 'register_widget( "mts_gallery_widget" );' ) );