<?php
/**
 * Alternative post template
 * 
 * To be used as a sample
 */
$mts_options = get_option( MTS_THEME_NAME ); ?>
<?php get_header(); ?>
    <div class="page-header clearfix">
		<div class="container single">
			<h1 class="title entry-title"><?php _e('Blog','mythemeshop'); ?></h1>
			<?php if ($mts_options['mts_breadcrumb'] == '1') { ?>
				<div class="breadcrumb" xmlns:v="http://rdf.data-vocabulary.org/#"><?php mts_the_breadcrumb(); ?></div>
			<?php } ?>
		</div>		
	</div>
</div><!--.header-wrap-->
<div class="blog-outer-container clearfix">
	<div class="container parallax">
		<div id="homepage-blog" class="blog-row clearfix">
			<div id="page" class="blog-section single">
				<?php if (mts_get_thumbnail_url()) : ?>
			        <div id="parallax" <?php echo 'style="background-image: url('.mts_get_thumbnail_url().');"'; ?>></div>
			    <?php endif; ?>
				<article class="<?php mts_article_class(); ?>" itemscope itemtype="http://schema.org/BlogPosting">
					<div id="content_box" >
						<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>
							<div id="post-<?php the_ID(); ?>" <?php post_class('g post'); ?>>
								<div class="single_post">
	                                <header>
	                                    <?php mts_the_postinfo('single'); ?>
	                                    <h1 class="title single-title entry-title" itemprop="headline"><?php the_title(); ?></h1>
	                                	<?php if (isset($mts_options['mts_social_button_position']) && $mts_options['mts_social_button_position'] == 'top') mts_social_buttons(); ?>
	                                </header>
									<div class="post-single-content box mark-links entry-content">
										<?php if ($mts_options['mts_posttop_adcode'] != '') { ?>
											<?php $toptime = $mts_options['mts_posttop_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$toptime day")), get_the_time("Y-m-d") ) >= 0) { ?>
												<div class="topad">
													<?php echo do_shortcode($mts_options['mts_posttop_adcode']); ?>
												</div>
											<?php } ?>
										<?php } ?>
			                            <div class="thecontent" itemprop="articleBody">
					                        <?php the_content(); ?>
										</div>
			                            <?php wp_link_pages(array('before' => '<div class="pagination">', 'after' => '</div>', 'link_before'  => '<span class="current"><span class="currenttext">', 'link_after' => '</span></span>', 'next_or_number' => 'next_and_number', 'nextpagelink' => __('Next','mythemeshop'), 'previouspagelink' => __('Previous','mythemeshop'), 'pagelink' => '%','echo' => 1 )); ?>
										<?php if ($mts_options['mts_postend_adcode'] != '') { ?>
											<?php $endtime = $mts_options['mts_postend_adcode_time']; if (strcmp( date("Y-m-d", strtotime( "-$endtime day")), get_the_time("Y-m-d") ) >= 0) { ?>
												<div class="bottomad">
													<?php echo do_shortcode($mts_options['mts_postend_adcode']); ?>
												</div>
											<?php } ?>
										<?php } ?> 
										<?php if (empty($mts_options['mts_social_button_position']) || $mts_options['mts_social_button_position'] == 'bottom' || $mts_options['mts_social_button_position'] == 'floating') mts_social_buttons(); ?>
										<?php if($mts_options['mts_tags'] == '1') { ?>
											<div class="tags"><?php mts_the_tags('<span class="tagtext">'.__('Tags','mythemeshop').':</span>',' ') ?></div>
										<?php } ?>
									</div>
								</div><!--.post-content box mark-links-->
								
								<?php if($mts_options['mts_author_box'] == '1') { ?>
									<div class="postauthor">
										<h4><?php _e('About An Author', 'mythemeshop'); ?></h4>
										<?php if(function_exists('get_avatar')) { echo get_avatar( get_the_author_meta('email'), '94' );  } ?>
										<h5 class="vcard"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" rel="nofollow" class="fn"><?php the_author_meta( 'nickname' ); ?></a></h5>
										<p><?php the_author_meta('description') ?></p>
									</div>
								<?php }?>  

			                    <?php mts_related_posts(); ?> 
			                    				
							</div><!--.g post-->
							<?php comments_template( '', true ); ?>
						<?php endwhile; /* end loop */ ?>
					</div>
				</article>
				<?php get_sidebar(); ?>
			</div>
        </div><!-- end blog-row -->
    </div><!-- end container -->
</div><!-- end blog-outer-container -->
<?php get_footer(); ?>